<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

    <parent>
        <artifactId>persistence-service-v1</artifactId>
        <groupId>com.iqser.red.service</groupId>
        <version>2.0-SNAPSHOT</version>
    </parent>

    <modelVersion>4.0.0</modelVersion>

    <artifactId>persistence-service-external-api-v1</artifactId>

    <dependencies>

        <dependency>
            <groupId>com.iqser.red.service</groupId>
            <artifactId>persistence-service-internal-api-v1</artifactId>
            <version>${project.version}</version>
            <exclusions>
                <exclusion>
                    <groupId>com.iqser.red.service</groupId>
                    <artifactId>redaction-service-api-v1</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>com.iqser.red.service</groupId>
                    <artifactId>pdftron-redaction-service-api-v1</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>com.iqser.red.service</groupId>
            <artifactId>pdftron-redaction-service-api-v1</artifactId>
            <exclusions>
                <exclusion>
                    <groupId>com.iqser.red.service</groupId>
                    <artifactId>redaction-service-api-v1</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>com.iqser.red.service</groupId>
                    <artifactId>persistence-service-api-v1</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>com.iqser.red.service</groupId>
            <artifactId>redaction-service-api-v1</artifactId>
            <exclusions>
                <exclusion>
                    <groupId>com.iqser.red.service</groupId>
                    <artifactId>pdftron-redaction-service-api-v1</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>com.iqser.red.service</groupId>
                    <artifactId>persistence-service-api-v1</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>com.iqser.red.service</groupId>
            <artifactId>redaction-report-service-api-v1</artifactId>
            <exclusions>
                <exclusion>
                    <groupId>com.iqser.red.service</groupId>
                    <artifactId>persistence-service-api-v1</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>com.iqser.red.service</groupId>
            <artifactId>search-service-api-v1</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springdoc</groupId>
            <artifactId>springdoc-openapi-ui</artifactId>
            <scope>provided</scope>
        </dependency>


        <dependency>
            <groupId>com.fasterxml.jackson.dataformat</groupId>
            <artifactId>jackson-dataformat-xml</artifactId>
            <version>2.13.4</version>
        </dependency>

        <dependency>
            <groupId>com.google.guava</groupId>
            <artifactId>guava</artifactId>
        </dependency>

        <!-- spring -->
        <dependency>
            <groupId>io.github.openfeign</groupId>
            <artifactId>feign-core</artifactId>
            <scope>provided</scope>
        </dependency>

        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-web</artifactId>
            <scope>provided</scope>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-security</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-validation</artifactId>
        </dependency>


        <dependency>
            <groupId>com.iqser.red.commons</groupId>
            <artifactId>jackson-commons</artifactId>
        </dependency>

        <!-- test -->
        <dependency>
            <groupId>com.iqser.red.commons</groupId>
            <artifactId>test-commons</artifactId>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>com.iqser.red.service</groupId>
            <artifactId>persistence-service-shared-api-v1</artifactId>
            <version>${project.version}</version>
            <scope>compile</scope>
        </dependency>
    </dependencies>

</project>
